Skip to content
Browse files

FIX: fabric ssh dependency

  • Loading branch information...
1 parent 523abd8 commit dcffd79bc45fdd373f7a93cb78aa95c94b3720aa @npinto committed Jul 8, 2012
Showing with 41 additions and 0 deletions.
  1. +41 −0 dev-python/fabric/fabric-1.4.0-r1.ebuild
View
41 dev-python/fabric/fabric-1.4.0-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="3"
+PYTHON_DEPEND="2:2.5"
+SUPPORT_PYTHON_ABIS="1"
+RESTRICT_PYTHON_ABIS="2.4 3.* *-jython"
+DISTUTILS_SRC_TEST="setup.py"
+
+inherit distutils
+
+MY_PN="Fabric"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Fabric is a simple, Pythonic tool for remote execution and deployment."
+HOMEPAGE="http://fabfile.org http://pypi.python.org/pypi/Fabric"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=dev-python/paramiko-1.7.6
+ dev-python/ssh
+"
+DEPEND="${RDEPEND}
+ dev-python/setuptools"
+
+# Tests broken.
+RESTRICT="test"
+
+S="${WORKDIR}/${MY_P}"
+
+PYTHON_MODULES="fabfile fabric"
+
+src_prepare() {
+ distutils_src_prepare
+ sed -e "/install_requires=/s/'pycrypto >= 1.9', //" -i setup.py || die "sed failed"
+}

0 comments on commit dcffd79

Please sign in to comment.
Something went wrong with that request. Please try again.